Bug 877799 - [abrt]: [248580.782475] WARNING: at drivers/net/wireless/iwlegacy/common.c:117 _il_grab_nic_access+0x96/0xa0 [iwlegacy]()
[abrt]: [248580.782475] WARNING: at drivers/net/wireless/iwlegacy/common.c:11...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:f5e193eefdf31a14708be5890b3...
:
: 876443 882391 889467 893730 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-18 16:42 EST by justin nix
Modified: 2014-01-28 10:11 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 10:11:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from Andrey (89.09 KB, text/plain)
2013-01-10 13:36 EST, Andrey
no flags Details
dmesg (65.09 KB, text/plain)
2013-05-20 23:19 EDT, Markus
no flags Details
backtrace (3.56 KB, text/plain)
2013-05-20 23:21 EDT, Markus
no flags Details
dmesg (F18/Kernel 3.9.2) (65.81 KB, text/plain)
2013-05-21 21:15 EDT, Markus
no flags Details
backtrace (F18/Kernel 3.9.2) (3.57 KB, text/plain)
2013-05-21 21:20 EDT, Markus
no flags Details
dmesg (F18/Kernel 3.9.2 debug) (144.50 KB, text/plain)
2013-05-22 05:16 EDT, Markus
no flags Details

  None (edit)
Description justin nix 2012-11-18 16:42:49 EST
libreport version: 2.0.10
cmdline:        BOOT_IMAGE=/vmlinuz-3.4.9-2.fc16.i686 root=/dev/mapper/vg_jprana-lv_root ro nomodeset rd.md=0 rd.dm=0 KEYTABLE=us quiet rd.lvm.lv=vg_jprana/lv_swap SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 rd.lvm.lv=vg_jprana/lv_root LANG=en_US.UTF-8

backtrace:
:[248580.782475] WARNING: at drivers/net/wireless/iwlegacy/common.c:117 _il_grab_nic_access+0x96/0xa0 [iwlegacy]()
:[248580.782475] Hardware name: Latitude D630                   
:[248580.782475] Timeout waiting for ucode processor access (CSR_GP_CNTRL 0xffffffff)
:[248580.782475] Modules linked in: tcp_lp tpm_bios ppdev parport_pc parport fuse be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad fcoe ib_core 8021q garp libfcoe stp llc libfc scsi_transport_fc scsi_tgt ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 ip6table_filter nf_defrag_ipv4 xt_state nf_conntrack ip6_tables arc4 iwl3945 iwlegacy mac80211 snd_hda_codec_idt snd_hda_intel snd_hda_codec snd_hwdep cfg80211 snd_seq tg3 snd_seq_device dell_laptop coretemp i2c_i801 iTCO_wdt microcode snd_pcm snd_timer snd soundcore dell_wmi rfkill snd_page_alloc iTCO_vendor_support uinput dcdbas binfmt_misc joydev sparse_keymap firewire_ohci firewire_core crc_itu_t yenta_socket wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[248580.782475] Pid: 2727, comm: kworker/0:1 Not tainted 3.4.9-2.fc16.i686 #1
:[248580.782475] Call Trace:
:[248580.782475]  [<c0437ca2>] warn_slowpath_common+0x72/0xa0
:[248580.782475]  [<f822c506>] ? _il_grab_nic_access+0x96/0xa0 [iwlegacy]
:[248580.782475]  [<f822c506>] ? _il_grab_nic_access+0x96/0xa0 [iwlegacy]
:[248580.782475]  [<c0437d73>] warn_slowpath_fmt+0x33/0x40
:[248580.782475]  [<f822c506>] _il_grab_nic_access+0x96/0xa0 [iwlegacy]
:[248580.782475]  [<f822c7a2>] il_wr_prph+0x32/0x90 [iwlegacy]
:[248580.782475]  [<f822c9b9>] il_apm_init+0x1b9/0x360 [iwlegacy]
:[248580.782475]  [<f809f535>] il3945_apm_init+0x15/0x130 [iwl3945]
:[248580.782475]  [<f80a0e77>] il3945_hw_nic_init+0x27/0x9f0 [iwl3945]
:[248580.782475]  [<c04663e4>] ? try_to_wake_up+0x1d4/0x220
:[248580.782475]  [<f8099662>] __il3945_up+0xb2/0x300 [iwl3945]
:[248580.782475]  [<c04663e4>] ? try_to_wake_up+0x1d4/0x220
:[248580.782475]  [<c0466484>] ? wake_up_process+0x14/0x20
:[248580.782475]  [<f8099dff>] il3945_mac_start+0x54f/0xea0 [iwl3945]
:[248580.782475]  [<c0466484>] ? wake_up_process+0x14/0x20
:[248580.782475]  [<c044e2ce>] ? wake_up_worker+0x1e/0x30
:[248580.782475]  [<c044e339>] ? insert_work+0x59/0x60
:[248580.782475]  [<c044ebf9>] ? __queue_work+0xc9/0x380
:[248580.782475]  [<c044ef07>] ? queue_work_on+0x27/0x40
:[248580.782475]  [<c044ef07>] ? queue_work_on+0x27/0x40
:[248580.782475]  [<c044ef5a>] ? queue_work+0x1a/0x20
:[248580.782475]  [<f82aa329>] ieee80211_reconfig+0x189/0xd20 [mac80211]
:[248580.782475]  [<f829228d>] ? ieee80211_scan_cancel+0x14d/0x160 [mac80211]
:[248580.782475]  [<c09368f8>] ? mutex_lock+0x18/0x40
:[248580.782475]  [<f828ae8c>] ieee80211_restart_work+0x7c/0xa0 [mac80211]
:[248580.782475]  [<c045025b>] process_one_work+0xfb/0x390
:[248580.782475]  [<c093fe70>] ? common_interrupt+0x30/0x38
:[248580.782475]  [<f828ae10>] ? ieee80211_recalc_smps_work+0x40/0x40 [mac80211]
:[248580.782475]  [<c0450f91>] worker_thread+0x121/0x2d0
:[248580.782475]  [<c0450e70>] ? manage_workers+0x1f0/0x1f0
:[248580.782475]  [<c0455352>] kthread+0x72/0x80
:[248580.782475]  [<c04552e0>] ? kthread_freezable_should_stop+0x60/0x60
:[248580.782475]  [<c093fe7e>] kernel_thread_helper+0x6/0x10
Comment 1 Stanislaw Gruszka 2012-11-22 18:05:34 EST
Please update kernel to 3.6. Can you reproduce the problem on updated kernel ?
Comment 2 Josh Boyer 2012-12-03 12:45:58 EST
*** Bug 882391 has been marked as a duplicate of this bug. ***
Comment 3 Stanislaw Gruszka 2012-12-06 05:07:22 EST
Unfortunately this also happen on 3.6.7 (bug 882391).

Please attach full dmesg (which will include this warning). You can find it in .cache/abrt/spool/oops-{DATE}/ or in /var/spool/abrt/oops-{DATE}/

Is this bug reproducible or happen at random ? Do you have step to reproduce ?
Comment 4 Stanislaw Gruszka 2012-12-06 05:07:40 EST
*** Bug 876443 has been marked as a duplicate of this bug. ***
Comment 5 Andrey 2013-01-03 04:41:13 EST
Problem happened during the standard boot procedure, no specific steps were made.

Package: kernel
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Stanislaw Gruszka 2013-01-07 04:31:18 EST
I need a dmesg , see comment 3
Comment 7 Andrey 2013-01-07 15:12:54 EST
Stanislav, sorry, I have occasionally deleted it. As soon this error will happen again I will post.
Comment 8 Andrey 2013-01-09 14:29:42 EST
*** Bug 893730 has been marked as a duplicate of this bug. ***
Comment 9 Andrey 2013-01-09 15:07:00 EST
https://bugzilla.redhat.com/show_bug.cgi?id=893730

Stanislav, this is leftover in the ABRT from the same crash I had on F18. I dunno why but there is no dmesg in the directories you pointed.
Comment 10 Stanislaw Gruszka 2013-01-10 02:58:00 EST
Perhaps ABRT has to be updated. Anyway when this will happen again just do "dmesg > dmesg.txt" and attach dmesg.txt here.
Comment 11 Andrey 2013-01-10 13:36:27 EST
Created attachment 676473 [details]
dmesg from Andrey
Comment 12 Andrey 2013-01-10 13:37:12 EST
ABRT is for sure the lastest available in the official repo.

OK, good news: I got the same crash, I got dmesg. More than that I know exactly when it happens: each time I am openining my laptop after hibernation. In addition to this error I also get message about tainted kernelqith GW flags which is strange, because I use a stock one, and even for the lapop's embedded Nvidia I use nouveau.
Comment 13 Stanislaw Gruszka 2013-01-15 05:47:58 EST
Taint's flag come from WARNING, once kernel generate a warning it is considered tainted.

We have those in dmesg, before iwl3945 problem:

[ 2513.855112] CPU1: Core temperature above threshold, cpu clock throttled (total events = 1)
[ 2513.855769] CPU1: Core temperature/speed normal
[ 2604.265073] CPU0: Core temperature above threshold, cpu clock throttled (total events = 1)
[ 2604.265725] CPU0: Core temperature/speed normal
[ 2699.997045] mce: [Hardware Error]: Machine check events logged

I'm not sure if those messages are related, but perhaps they are, if we overheat machine devices can not communicate properly via PCIe bus with CPU. 

Overheat happen after about 40 minutes in your dmesg. So let's check if hibernate works early, if you boot machine and then try to hibernate few times, does the problem happen?
Comment 14 Stanislaw Gruszka 2013-01-15 05:52:07 EST
*** Bug 889467 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2013-01-16 12:32:40 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Paul Welch 2013-03-13 08:30:07 EDT
I just had a message come up that there was a prolem inthe kernal

Package: kernel
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 Fernando Farias 2013-03-19 10:28:20 EDT
Upgraded to the lastest.
Installed skype. Logged in correctly.
Using Opera.
On battery.

Went for a coffee, machine turned to sleep.

Back from sleep, kernel error, wifi not working.

Restarted, kernel error (reporting), everything seems to be working.


Package: kernel
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 18 Stephen P. Schaefer 2013-03-23 06:41:01 EDT
Just happened to notice the ABRT icon was visible.  Wireless network is currently functioning.  Possibly occurred when somehow (not intentionally) the system suspended and then I attempted to unsuspend.  Because video never recovered from suspend, I ssh'd in and did "sudo reboot".

Package: kernel
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 19 Stanislaw Gruszka 2013-05-02 03:41:03 EDT
comment 12 problem was caused by hardware (overheat). On further reports in comments 16 to 18 root of the issue is unknown.


Paul, Fernando, Stephen, could you please attach dmesg, which include this WARNING ?
Comment 20 Fernando Farias 2013-05-02 09:23:57 EDT
I switched from KDE to AwesomeWM (to extend battery life) and the problem never happen again.

Note, there is no support to sleep or hibernate from AwesomeWM.
Then i have to login as root, and use the command pm-suspend, or pm-hibernate.

So, the problem may be around KDE.
I will test it later and report back.
Also i will test it with my other laptop.
Comment 21 Markus 2013-05-20 23:08:49 EDT
I can confirm this happens as of Fedora 18, under Gnome 3 (not KDE specific). Wireless stops working _every time_ I resume from suspend/hibernate.
Comment 22 Markus 2013-05-20 23:19:40 EDT
Created attachment 750805 [details]
dmesg
Comment 23 Markus 2013-05-20 23:21:21 EDT
Created attachment 750806 [details]
backtrace
Comment 24 Stanislaw Gruszka 2013-05-21 03:39:51 EDT
I remember similar issues on older kernels like 3.3 or so, which was caused by PCI layer bugs:
https://lkml.org/lkml/2011/12/27/65
https://lkml.org/lkml/2012/3/11/112

Bug on comment 22 is on kernel 3.6 , but perhaps issue is now fixed on 3.8 or 3.9. Markus, could you update kernel and check if problem is still there?
Comment 25 Markus 2013-05-21 04:56:08 EDT
The same bug (or I'm assuming the same bug - the behaviour is identical) occurred on a different distro (Arch) on a 3.9 kernel - however, I haven't had the chance to update this installation yet - I'll definitely post back once I've updated though (internet is throttled ATM so that'll take a bit).
Comment 26 Markus 2013-05-21 21:15:39 EDT
Created attachment 751449 [details]
dmesg (F18/Kernel 3.9.2)

Upgraded the whole system, bug is still present with 3.9.2.
Comment 27 Markus 2013-05-21 21:20:14 EDT
Created attachment 751453 [details]
backtrace (F18/Kernel 3.9.2)
Comment 28 Markus 2013-05-22 03:29:58 EDT
This bug behaves differently on the debug kernel - wireless stops working after resume, but I do _not_ get a crash, and the bug can be worked around by simply unloading and reloading the iwl3945 module. This workaround does _not_ work (for me) on non-debug kernels (tried both PAE and non-PAE).
Comment 29 Markus 2013-05-22 05:16:59 EDT
Created attachment 751614 [details]
dmesg (F18/Kernel 3.9.2 debug)

A small addendum: crashes are far less common with the debug kernel, but given enough sleep-resume cycles even it can crash (and if that happens, the unload-reload workaround does not work, I tried it a couple of times). The dmesg output looks quite unspectacular to me, but I'm attaching it nonetheless (the kernels does become tainted at one point though). 

I also only just realised that the backtrace is included in dmesg :/
Comment 30 Mawuena Seketeli 2013-07-02 07:54:36 EDT
Description of problem:
The problem happened while I was downloading through torrent. I was getting the new version of Fedora (19) and suddenly the wifi shutoff.
The thing is this can not be reproduced because other times I'm just surfing and the wifi will get cut off or other times I'm watching a video (not on the internet) while I'm doing nothing in the background (no downloading or anything else that uses the internet connection actively) and then the connection will get cut off.

Always happens with the wifi and it is not the router as I have another computer (server running on Debian) and it doesn't have that problem at all.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.4
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.9.6-200.fc18.i686.PAE root=UUID=187c8b3f-95d6-455b-84a7-1f6b9110ddf4 ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=latarcyrheb-sun16 rd.luks=0 KEYTABLE=fr LANG=en_US.UTF-8 rhgb quiet
kernel:         3.9.6-200.fc18.i686.PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: at drivers/net/wireless/iwlegacy/common.c:117 _il_grab_nic_access+0x96/0xa0 [iwlegacy]()
Hardware name: 0769EDG
Timeout waiting for ucode processor access (CSR_GP_CNTRL 0xffffffff)
Modules linked in: fuse ebtable_nat ebtables rfcomm bnep be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi ip6t_REJECT scsi_transport_iscsi nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_filter nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ip6_tables acpi_cpufreq mperf coretemp iTCO_wdt iTCO_vendor_support microcode arc4 iwl3945 iwlegacy i2c_i801 mac80211 r592 btusb memstick bluetooth snd_hda_codec_realtek snd_hda_intel uvcvideo snd_hda_codec lpc_ich mfd_core snd_hwdep videobuf2_vmalloc snd_seq videobuf2_memops snd_seq_device tg3 videobuf2_core videodev ptp media pps_core cfg80211 snd_pcm snd_page_alloc rfkill snd_timer snd soundcore nfsd binfmt_misc uinput auth_rpcgss nfs_acl lockd sunrpc sdhci_pci firewire_ohci i915 sdhci mmc_core i2c_algo_bit drm_kms_helper firewire_core crc_itu_t drm i2c_core wmi video
Pid: 7991, comm: kworker/1:1 Not tainted 3.9.6-200.fc18.i686.PAE #1
Call Trace:
 [<c044e6a9>] warn_slowpath_common+0x69/0x90
 [<f87fb8b6>] ? _il_grab_nic_access+0x96/0xa0 [iwlegacy]
 [<f87fb8b6>] ? _il_grab_nic_access+0x96/0xa0 [iwlegacy]
 [<c044e773>] warn_slowpath_fmt+0x33/0x40
 [<f87fb8b6>] _il_grab_nic_access+0x96/0xa0 [iwlegacy]
 [<f87fb952>] il_wr_prph+0x32/0x90 [iwlegacy]
 [<f87fc5c1>] il_apm_init+0x1b1/0x320 [iwlegacy]
 [<f89a628f>] ? ieee80211_led_tx+0x3f/0x50 [mac80211]
 [<f8788b85>] il3945_apm_init+0x15/0x130 [iwl3945]
 [<f87898d0>] il3945_hw_nic_init+0x30/0x9d0 [iwl3945]
 [<c047e81e>] ? try_to_wake_up+0x18e/0x230
 [<f8984308>] ? ieee80211_tx+0xb8/0xf0 [mac80211]
 [<f8781562>] __il3945_up+0xb2/0x2f0 [iwl3945]
 [<c046715e>] ? wake_up_worker+0x1e/0x30
 [<f87852e7>] il3945_mac_start+0x527/0xe70 [iwl3945]
 [<f896cf5f>] ? ieee80211_start_next_roc+0x17f/0x1b0 [mac80211]
 [<f8987025>] ? ieee80211_queue_work+0x35/0x40 [mac80211]
 [<c09a7108>] ? mutex_lock+0x18/0x40
 [<f896b13a>] ? __ieee80211_scan_completed+0xca/0x290 [mac80211]
 [<f8988c82>] ieee80211_reconfig+0x282/0x1510 [mac80211]
 [<f896c461>] ? ieee80211_scan_cancel+0xe1/0x160 [mac80211]
 [<c09a7108>] ? mutex_lock+0x18/0x40
 [<f8964786>] ieee80211_restart_work+0x86/0xa0 [mac80211]
 [<c0877f08>] ? od_dbs_timer+0x98/0x120
 [<c0467fc6>] process_one_work+0x116/0x330
 [<c04693d9>] worker_thread+0xf9/0x320
 [<c04692e0>] ? manage_workers+0x270/0x270
 [<c046e524>] kthread+0x94/0xa0
 [<c09b0c77>] ret_from_kernel_thread+0x1b/0x28
 [<c046e490>] ? kthread_create_on_node+0xc0/0xc0
Comment 31 Fedora End Of Life 2013-07-03 23:23:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 32 Justin M. Forbes 2014-01-03 17:12:36 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 33 Stanislaw Gruszka 2014-01-28 10:11:58 EST
I do not see chance to fix this problem on that old hardware, but fortunately issue is rare.

Note You need to log in before you can comment on or make changes to this bug.